BinomialVanillaEngine< T > Class Template Reference
Pricing engines » Vanilla option engines

Pricing engine for vanilla options using binomial trees. More...

`#include <ql/pricingengines/vanilla/binomialengine.hpp>`

Inherits engine.

## Public Member Functions

| BinomialVanillaEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps)
void | calculate () const

## Detailed Description

### template<class T>
class QuantLib::BinomialVanillaEngine< T >

Pricing engine for vanilla options using binomial trees.

Tests:
  the correctness of the returned values is tested by checking it against analytic results.

Examples
  EquityOption.cpp.